Subject: Where's the Beef?

From: [email-masked] (Scott Adams)
Date: Fri, 10 Sep 1993 17:29:50 -0400 (EDT)

To:   Steve Klein, IBM

From: Scott Adams, Cayman Systems

Based on your contributions to the Connect Working Group during the
last month to six weeks, it has been obvious that there is a
significant discrepency between RFC 1434 and Data Link Switching as
implemented by IBM.  You have stated at least once that you would
document some of these differences (I refer to your message regarding
NETBIOS connect flows of August 19).  At the last AIW meeting several
people representing IBM at the DLS SIG meeting (Gene Cox, Marcia
Peters, et al) indicated that IBM's implementation of DLS for the
6611 differed somewhat from the RFC, and stated that IBM would provide
an update to the RFC that would document those differences.  To my
knowledge, there has been no follow-through on these statements.  I
understand if other work-related pressures cause short-term delays in
providing such documentation, but I am beginning to feel frustrated by
this situation.

During the DLS SIG meeting at the June AIW an issue of concern
presented by many company representatives was that IBM might attempt
to "control" DLS, and try to keep it tied to the 6611 implementation.
Everyone from IBM responded that IBM had no intention of doing that.
Intentions are important, but actions are reality.  By not providing
to the SIG this documentation of 6611-RFC differences (AS PROPOSALS),
IBM is not allaying these concerns.

I think it is imperative that you (or someone at IBM) provide to the
SIG, BEFORE THE SEPT. 28th AIW MEETING, either: 1) documentation of
ALL the differences between the 6611 implementation and the RFC, or 2)
a COMPLETE, updated document that is equivalent to RFC 1434 that
documents the 6611's DLS implementation.  We need to be working from
the same document!  The alternative is that the RFC is the difinitive
document, and IBM's implementation of DLS must be considered separate
and distinct from the DLS that is the SIG's goal and not be treated as
the definitive implementation.

The AIW is just around the corner, and this is such an important
requirement for informed discussion of the issues at hand, that I hope
you and others can overlook what may seem to be a harsh tone in this
message.  My purpose is to do what I think is necessary to make this
DLS SIG meeting as productive as possible.

Sincerely,

Scott Adams
Cayman Systems, Inc.
26 Landsdowne St.
Cambridge, MA 02139
(617) 494-1999 x208
[email-masked]